Bug report #913

svn trunk has been failing to build for several days now

Added by Maciej Sieczka - over 12 years ago. Updated about 11 years ago.

Status:Closed
Priority:Low
Assignee:nobody -
Category:Build/Install
Affected QGIS version: Regression?:No
Operating System:Debian Easy fix?:No
Pull Request or Patch supplied: Resolution:fixed
Crashes QGIS or corrupts data: Copied to github as #:10972

Description

The SVN trunk checked out with:

svn co https://svn.qgis.org/repos/qgis/trunk/qgis

has been failing to build for several days now with it's last words being:

[ 29%] Building CXX object src/gui/CMakeFiles/qgis_gui.dir/qgsquickprint.o
/home/maciek/src/straight/qgis09/src/gui/qgsquickprint.cpp:48:24: error: QSvgRenderer: No such file or directory
/home/maciek/src/straight/qgis09/src/gui/qgsquickprint.cpp: In member function 'void [[QgsQuickPrint]]::printMap()':
/home/maciek/src/straight/qgis09/src/gui/qgsquickprint.cpp:609: error: 'QSvgRenderer' was not declared in this scope
/home/maciek/src/straight/qgis09/src/gui/qgsquickprint.cpp:609: error: expected @;' before 'mySvgRenderer'
/home/maciek/src/straight/qgis09/src/gui/qgsquickprint.cpp:610: error: 'mySvgRenderer' was not declared in this scope
maker2: *** [src/gui/CMakeFiles/qgis_gui.dir/qgsquickprint.o] Error 1
maker1: *** [src/gui/CMakeFiles/qgis_gui.dir/all] Error 2
make: *** [all] Error 2

Using amd64 Ubuntu Dapper, QT 4.3.3 built from source. I used to be able to build SVN trunk without problems before.

Associated revisions

Revision ef045931
Added by Jürgen Fischer over 12 years ago

revert r8437 and fix it different
- use FIND_PACKAGE(Qt4 REQUIRED) before SET
as cmake's Modules/FindQt4.cmake suggests
- should also fix #913

git-svn-id: http://svn.osgeo.org/qgis/trunk/[email protected] c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 6f03494d
Added by Jürgen Fischer over 12 years ago

revert r8437 and fix it different
- use FIND_PACKAGE(Qt4 REQUIRED) before SET
as cmake's Modules/FindQt4.cmake suggests
- should also fix #913

git-svn-id: http://svn.osgeo.org/qgis/[email protected] c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 Updated by Gavin Macaulay - over 12 years ago

Yes, I had this problem too. I resolved it by editing the qgsquickprint.cpp file and changing line 48 (#include <QSvgRenderer>) to include the directory name that the QSvgRenderer file in (I'm not in front of my computer at the moment, I think it was svg: hence it became #include <svg/QSvgRenderer>.

Haven't had time to work out while it worked for some people, but not me (and now you).

Gavin

#2 Updated by Maciej Sieczka - over 12 years ago

Hi Gavin

Maybe QGIS build process is looking for the file at some hardcoded location, where most users have it, thus it works for them, but not for us? I'm using QT 4.3.3 built from source installed to a custom dir /usr/local/qt4. In my case the file in question is at:

cat /usr/local/qt4/include/QtSvg/QSvgRenderer
#include "qsvgrenderer.h" 

#3 Updated by Maciej Sieczka - over 12 years ago

It's been about 3 weeks now since I've been unable to build QGIS.

#4 Updated by sieczka - over 12 years ago

2 weeks more and still the build fails at this stage.

Once I change line 48 of qgsquickprint.cpp from:

#include <QSvgRenderer>

into:

#include <QtSvg/QSvgRenderer>

the build proceeds. I need this hack only on my Ubuntu Dapper box, where QT (4.3.3) is installed from source into /usr/local/qt4, having QSvgRenderer include available at:

cat /usr/local/qt4/include/QtSvg/QSvgRenderer
#include "qsvgrenderer.h" 

On Kubuntu Gutsy, using stock QT 4.3.2, I don't need this hack.

Please fix it.

#5 Updated by Jürgen Fischer over 12 years ago

Is this still the case?

#6 Updated by Maciej Sieczka - over 12 years ago

Replying to [comment:5 jef]:

Is this still the case?

I don't have any machine now that would use a custom build of QT, installed in a non standard place, to check it.

However, I have never seen any action in order to fix the bug (I follow all QGIS MLs, including SVN commit ML).

#7 Updated by Jürgen Fischer over 12 years ago

  • Status changed from Open to Closed
  • Resolution set to fixed

6f03494d (SVN r8439) should fix this.

#8 Updated by Anonymous about 11 years ago

Milestone Version 0.9.2 deleted

Also available in: Atom PDF